package cn.com.qmth.examcloud.core.examwork.dao;

import java.util.List;

import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.JpaSpecificationExecutor;
import org.springframework.data.repository.query.QueryByExampleExecutor;

import cn.com.qmth.examcloud.core.examwork.dao.entity.ExamPropertyEntity;

public interface ExamPropertyRepo
		extends
			JpaRepository<ExamPropertyEntity, Long>,
			QueryByExampleExecutor<ExamPropertyEntity>,
			JpaSpecificationExecutor<ExamPropertyEntity> {

	ExamPropertyEntity findByexamIdAndKeyId(Long examId, Long keyId);

	List<ExamPropertyEntity> findByexamId(Long examId);

}
