package cn.com.qmth.examcloud.core.examwork.dao.entity;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.IdClass;
import javax.persistence.Table;

import cn.com.qmth.examcloud.commons.web.jpa.JpaEntity;

/**
 * 课程组关联课程
 * 
 * @author WANG
 *
 */
@Entity
@Table(name = "EC_E_COURSE_GROUP_RELATION")
@IdClass(CourseGroupRelationPK.class)
public class CourseGroupRelationEntity extends JpaEntity {

	private static final long serialVersionUID = -3335725218626631530L;

	@Id
	private Long courseId;

	@Id
	private Long groupId;

	@Column(nullable = false)
	private Long examId;

	public Long getCourseId() {
		return courseId;
	}

	public void setCourseId(Long courseId) {
		this.courseId = courseId;
	}

	public Long getGroupId() {
		return groupId;
	}

	public void setGroupId(Long groupId) {
		this.groupId = groupId;
	}

	public Long getExamId() {
		return examId;
	}

	public void setExamId(Long examId) {
		this.examId = examId;
	}

}
